Operations

Operations provide functionality to manage API operations discovered for a service, including listing, creating, updating, and deleting operations, as well as managing tags for organizing operations.

Data model

domainstringThe domain for the operation. Required.
idstringThe unique identifier of the discovered operation. Required. Read-only.
last_seen_atstringThe timestamp when the operation was last seen in traffic. Read-only.
methodstringThe HTTP method for the operation. Required.
pathstringThe path for the operation, which may include path parameters. Required.
rpsnumberRequests per second observed for this operation. Read-only.
updated_atstringThe timestamp when the operation was last updated. Read-only.
created_atstringThe timestamp when the operation was created. Read-only.
descriptionstringA description of what the operation does.
statusstringThe status of the operation. Read-only.
tag_idsarrayAn array of operation tag IDs associated with this operation.
countintegerThe number of operations associated with this operation tag. Read-only.
namestringThe name of the operation tag.
reasonstringError reason if the operation failed.
status_codeintegerHTTP status code for this operation.
operation_idsarrayList of operation IDs to add tags to.
operationsarrayList of operations to create.

Endpoints

List discovered operations

GET/api-security/v1/services/service_id/discovered-operations

List operations

GET/api-security/v1/services/service_id/operations

Create operation

POST/api-security/v1/services/service_id/operations

Bulk create operations

POST/api-security/v1/services/service_id/operations-bulk

Bulk delete operations

DELETE/api-security/v1/services/service_id/operations-bulk

Bulk add tags to operations

POST/api-security/v1/services/service_id/operations-bulk-tags

Retrieve operation

GET/api-security/v1/services/service_id/operations/operation_id

Delete operation

DELETE/api-security/v1/services/service_id/operations/operation_id

Update operation

PATCH/api-security/v1/services/service_id/operations/operation_id

List operation tags

GET/api-security/v1/services/service_id/tags

Create operation tag

POST/api-security/v1/services/service_id/tags

Retrieve operation tag

GET/api-security/v1/services/service_id/tags/tag_id

Delete operation tag

DELETE/api-security/v1/services/service_id/tags/tag_id

Update operation tag

PATCH/api-security/v1/services/service_id/tags/tag_id